Name:           libmodplug
Version:        0.7
Release:        0.fdr.1.2
Epoch:          1
Summary:        Modplug mod music file format library

Group:          System Environment/Libraries
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://dl.sf.net/modplug-xmms/libmodplug-0.7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{summary}.

%package        devel
Summary:        Development files for the Modplug mod music file format library
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}, pkgconfig

%description    devel
%{summary}.


%prep
%setup -q


%build
%configure --enable-static
make %{?_smp_mflags}
make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Oct 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:0.7-0.fdr.1
- First build, separated from xmms-modplug.
- Bump Epoch.
